<!DOCTYPE html>
<html lang="pl-PL">
<head>
    <%- include('partials/_head.ejs') %>
    <link rel="stylesheet" href="/css/style.css">
</head>
<body>
    <style>
        main {
            background-color: #fff;
            box-shadow: 1px 3px 5px rgb(163, 163, 163);
            padding: 70px;
            border-radius: 16px;
        }
        #submitButton {
            margin-top: 10px;
            padding: 10px;
            width: 110px;
            background-color: transparent;
            color: #0984e3;
            border-radius: 25px;
            border: 1px solid #0984e3;
            transition: 0.2s ease-in-out;
        }
        #submitButton:hover {
            background-color: #0984e3;
            color: azure;
        }
    </style>
    <%- include('partials/_header.ejs') %>
    <main role="main" class="container mt-4">
        <h2>Dodaj nowego użytkownika</h2>
        <form action="/auth/new-user" method="POST">
            <div class="form-group">
                <label for="username">Imię i nazwisko:</label>
                <input type="text" class="form-control" id="username" name="username" required>
            </div>
            <div class="form-group">
                <label for="password">Hasło:</label>
                <input type="password" class="form-control" id="password" name="password" required>
            </div>
            <br>
            <div class="form-group">
                <label for="role">Wybierz rolę:</label>
                <select class="form-control" id="role" name="role">
                    <option value="Analyst">Analityk</option>
                    <option value="Manager">Menadżer</option>
                    <option value="Reader">Sprzedawca</option>
                </select>
            </div>
            <br>
            <button type="submit" class="btn btn-primary" id="submitButton">Dodaj</button>
        </form>
    </main>
    <%- include('partials/_footer.ejs') %>
    <script src="/js/main.js"></script>
</body>
</html>